Package org.globus.ftp

# Class StreamModeRestartMarker

java.lang.Object
org.globus.ftp.StreamModeRestartMarker

All Implemented Interfaces:
  `Marker`, `RestartData`

public class StreamModeRestartMarker extends Object implements Marker, RestartData
Represents FTP stream mode restart marker, as defined in RFC 959. Not used.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`offset`

## Constructor Summary

Constructors
Constructor
Description
`StreamModeRestartMarker(long offset)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toFtpCmdArgument()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### offset

protected long offset

## Constructor Details

### StreamModeRestartMarker

public StreamModeRestartMarker(long offset)

## Method Details

### toFtpCmdArgument

public String toFtpCmdArgument()

Specified by:
  `toFtpCmdArgument` in interface `RestartData`
Returns:
  the restart data in the format of REST command argument. For instance (in GridFTP) "4-50,62-75"